getCloudCacheManualBackupDetailList

Prev Next

Available in VPC

Get the list of available Cloud DB for Cache manual backup details.

Note

Cloud DB for Cache API offers two versions based on the supported DBMS range.

  • getCloudCacheManualBackupDetailList API: Support for Valkey and Redis DBMS
  • getCloudRedisManualBackupDetailList API: Support for Redis DBMS

getCloudCacheManualBackupDetailList API

This section describes the request and response formats for the getCloudCacheManualBackupDetailList API.

Request

This section describes the request format. The method and URI are as follows:

Method URI
GET | POST /getCloudCacheManualBackupDetailList
Note

This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console.

Request headers

For information about the headers common to all Cloud DB for Cache APIs, see Cloud DB for Cache request headers.

Request query parameters

You can use the following query parameters with your request:

Field Type Required Description
regionCode String Optional Region code of the manual backup details list to view
  • See getRegionList.
  • First Region of the getRegionList query result (default).
cloudCacheInstanceNo String Required Cloud DB for Cache instance number
responseFormatType String Optional Format of the response result
  • xml (default) | json

Request example

The request example is as follows:

curl --location --request GET 'https://ncloud.apigw.ntruss.com/vcache/v2/getCloudCacheManualBackupDetailList
?regionCode=KR
&cloudCacheInstanceNo=****821'
--header 'x-ncp-apigw-timestamp: {Timestamp}'
--header 'x-ncp-iam-access-key: {Access Key}' 
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}'

Response

This section describes the response format.

Response body

See CloudCacheBackupDetailList for the response body.

Response status codes

For information about the HTTP status codes common to all Cloud DB for Cache (VPC) APIs, see Cloud DB for Cache (VPC) response status codes.

Response example

The response example is as follows:

  • If responseFormatType=json

    {
      "getCloudCacheManualBackupDetailListResponse": {
        "requestId": "e603a8ee-9308-457e-9754-5497c931f222",
        "returnCode": "0",
        "returnMessage": "success",
        "totalRows": 1,
        "cloudCacheBackupDetailList": [
          {
            "startTime": "2022-05-18T14:10:28+0900",
            "endTime": "2022-05-18T14:10:28+0900",
            "backupSize": 302,
            "dataStorageSize": 10737418240,
            "fileName": "2022051*****"
          }
        ]
      }
    }
    
  • If responseFormatType=xml (default)

    
    <getCloudCacheManualBackupDetailListResponse>
        <requestId>213c6297-42ab-4ac4-81fd-9852837c3105</requestId>
        <returnCode>0</returnCode>
        <returnMessage>success</returnMessage>
        <totalRows>1</totalRows>
        <cloudCacheBackupDetailList>
            <cloudCacheBackupDetail>
                <startTime>2022-05-16T16:25:07+0900</startTime>
                <endTime>2022-05-16T16:25:07+0900</endTime>
                <backupSize>302</backupSize>
                <dataStorageSize>10737418240</dataStorageSize>
                <fileName>2022051*****</fileName>
            </cloudCacheBackupDetail>
        </cloudCacheBackupDetailList>
    </getCloudCacheManualBackupDetailListResponse>
    

getCloudRedisManualBackupDetailList API

This section describes the request and response formats for the getCloudRedisManualBackupDetailList API.

Request

This section describes the request format. The method and URI are as follows:

Method URI
GET | POST /vredis/v2/getCloudRedisManualBackupDetailList
Note

This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console.

Request headers

For information about the headers common to all Cloud DB for Cache APIs, see Cloud DB for Cache request headers.

Request query parameters

You can use the following query parameters with your request:

Field Type Required Description
regionCode String Optional Region code of the manual backup details list to view
  • See getRegionList.
  • First Region of the getRegionList query result (default).
cloudRedisInstanceNo String Required Cloud DB for Cache instance number
responseFormatType String Optional Format of the response result
  • xml (default) | json

Request example

The request example is as follows:

curl --location --request GET 'https://ncloud.apigw.ntruss.com/vredis/v2/getCloudRedisManualBackupDetailList
?regionCode=KR
&cloudRedisInstanceNo=****511' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}'

Response

This section describes the response format.

Response body

See CloudRedisBackupDetailList for the response body.

Response status codes

For information about the HTTP status codes common to all Cloud DB for Cache (VPC) APIs, see Cloud DB for Cache (VPC) response status codes.

Response example

The response example is as follows:

  • If responseFormatType=json

    {
        "getCloudRedisManualBackupDetailListResponse": {
            "totalRows": 1,
            "cloudRedisBackupDetailList": [
                {
                    "startTime": "2024-07-02T11:58:45+0900",
                    "endTime": "2024-07-02T11:58:45+0900",
                    "backupSize": 525,
                    "dataStorageSize": 10737418240,
                    "fileName": "2024070*****"
                }
            ],
            "requestId": "6c89411a-****-****-****-198ff84f5f1c",
            "returnCode": "0",
            "returnMessage": "success"
        }
    }
    
  • If responseFormatType=xml (default)

    <?xml version="1.0" encoding="UTF-8"?>
    <getCloudRedisManualBackupDetailListResponse>
        <requestId>6c89411a-****-****-****-198ff84f5f1c</requestId>
        <returnCode>0</returnCode>
        <returnMessage>success</returnMessage>
        <totalRows>1</totalRows>
        <cloudRedisBackupDetailList>
            <cloudRedisBackupDetail>
                <startTime>2024-07-02T11:58:45+0900</startTime>
                <endTime>2024-07-02T11:58:45+0900</endTime>
                <backupSize>525</backupSize>
                <dataStorageSize>10737418240</dataStorageSize>
                <fileName>2024070*****</fileName>
            </cloudRedisBackupDetail>
        </cloudRedisBackupDetailList>
    </getCloudRedisManualBackupDetailListResponse>